import React from 'react';
import WebViewComponent from '~/components/webViewComponent';
import PropTypes from 'prop-types';
import { connect } from 'react-redux';

class WebViewContainer extends React.Component {
	static propTypes = {
		navigation: PropTypes.object.isRequired,
	}

	render() {
		return <WebViewComponent url={this.props.navigation.getParam('webViewUrl')} />;
	}
}

export { WebViewContainer };
export default connect(null, null)(WebViewContainer);
